unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ComCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    ListView1: TListView;
    procedure FormCreate(Sender: TObject);
  private
    procedure LoadCSVFile(AFilename: String);

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

const
  DATA_FILE = 'test-data.csv';
  SEPARATOR = ';';

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  LoadCSVFile(DATA_FILE);
end;

procedure TForm1.LoadCSVFile(AFilename: String);
var
  F: TextFile;
  s: String;
  sa: TStringArray;
  item: TListItem;
begin
  // Listview löschen
  ListView1.Items.Clear;

  AssignFile(F, AFilename);
  Reset(F);
  // Headerzeile überlesen
  ReadLn(F);
  // Daten-Zeilen lesen
  while not EOF(F) do begin
    ReadLn(F, s);
    sa := s.Split(SEPARATOR);
    item := ListView1.Items.Add;
    item.Caption := sa[0];
  end;
end;

end.

